import { GlobSrcInfo } from './util/glob';
import { IOptions } from './util/IOptions';
import { DebugEmitter, Emitters, MessageEmitter, ProgressEmitter, SpellingErrorEmitter, Issue } from './emitters';
import { CSpellApplicationOptions } from './options';
export declare const defaultConfigGlobOptions: IOptions;
export declare class CSpellApplicationConfiguration {
    readonly files: string[];
    readonly options: CSpellApplicationOptions;
    readonly emitters: Emitters;
    readonly info: MessageEmitter;
    readonly progress: ProgressEmitter;
    readonly debug: DebugEmitter;
    readonly logIssue: SpellingErrorEmitter;
    readonly uniqueFilter: (issue: Issue) => boolean;
    readonly locale: string;
    readonly configFile: string | undefined;
    readonly configGlobOptions: IOptions;
    readonly excludes: GlobSrcInfo[];
    readonly root: string;
    readonly showContext: number;
    constructor(files: string[], options: CSpellApplicationOptions, emitters: Emitters);
}
