"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hrTimeToMs = exports.elapsedTimeMsFrom = exports.measurePromise = void 0;
async function measurePromise(p) {
    const start = process.hrtime();
    let success = true;
    try {
        await p;
    }
    catch (e) {
        success = false;
    }
    const elapsedTimeMs = hrTimeToMs(process.hrtime(start));
    return {
        elapsedTimeMs,
        success,
    };
}
exports.measurePromise = measurePromise;
function elapsedTimeMsFrom(relativeTo) {
    return hrTimeToMs(process.hrtime(relativeTo));
}
exports.elapsedTimeMsFrom = elapsedTimeMsFrom;
function hrTimeToMs(hrTime) {
    return hrTime[0] * 1.0e3 + hrTime[1] * 1.0e-6;
}
exports.hrTimeToMs = hrTimeToMs;
//# sourceMappingURL=timer.js.map